<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
GenericArray
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.genarr.GenericArray interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="GenericArray";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/GenericArray.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html" title="interface in ch.javasoft.util.genarr"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/genarr/GenericArray.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="GenericArray.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.genarr</FONT>
<BR>
Interface GenericArray&lt;T&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;T&gt;, <A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html" title="interface in ch.javasoft.util.genarr">KnownLengthIterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;T&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericFixSizeArray.html" title="class in ch.javasoft.util.genarr">GenericFixSizeArray</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.39"><B>GenericArray&lt;T&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;T&gt;</DL>
</PRE>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#copyFrom(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyFrom</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;&nbsp;src,
                 int&nbsp;srcPos,
                 int&nbsp;dstPos,
                 int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#copyTo(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyTo</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? super <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;&nbsp;dst,
             int&nbsp;srcPos,
             int&nbsp;dstPos,
             int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#first()">first</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#get(int)">get</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterable(int, int)">iterable</A></B>(int&nbsp;start,
                 int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterator()">iterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterator(int, int)">iterator</A></B>(int&nbsp;start,
                 int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#last()">last</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#length()">length</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, java.lang.Iterable)">set</A></B>(int&nbsp;offset,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;&nbsp;it)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T)">set</A></B>(int&nbsp;index,
       <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T[])">set</A></B>(int&nbsp;offset,
       <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>[]&nbsp;arr)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T[], int, int)">set</A></B>(int&nbsp;offset,
       <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>[]&nbsp;arr,
       int&nbsp;srcOffset,
       int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#swap(int, int)">swap</A></B>(int&nbsp;indexA,
         int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#toArray()">toArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;TT&gt; TT[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#toArray(TT[])">toArray</A></B>(TT[]&nbsp;arr)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.ArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#indexOf(java.lang.Object)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#lastIndexOf(java.lang.Object)">lastIndexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toArray(java.lang.Class)">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toGenericArray(boolean)">toGenericArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.List"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(int, E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(int, java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#clear()" title="class or interface in java.util">clear</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#indexOf(java.lang.Object)" title="class or interface in java.util">indexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#lastIndexOf(java.lang.Object)" title="class or interface in java.util">lastIndexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator()" title="class or interface in java.util">listIterator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator(int)" title="class or interface in java.util">listIterator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(int)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#size()" title="class or interface in java.util">size</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#subList(int, int)" title="class or interface in java.util">subList</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="length()"><!-- --></A><H3>
length</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.40"><B>length</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#length()">length</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html#length()">length</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html" title="interface in ch.javasoft.util.genarr">KnownLengthIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.41"><B>isEmpty</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#isEmpty()">isEmpty</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.43"><B>get</B></A>(int&nbsp;index)
      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#get(int)" title="class or interface in java.util">get</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="first()"><!-- --></A><H3>
first</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.44"><B>first</B></A>()
        throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="last()"><!-- --></A><H3>
last</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.45"><B>last</B></A>()
       throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object)"><!-- --></A><A NAME="set(int, T)"><!-- --></A><H3>
set</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.47"><B>set</B></A>(int&nbsp;index,
      <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&nbsp;obj)
      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#set(int, T)">set</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#set(int, E)" title="class or interface in java.util">set</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object)"><!-- --></A><A NAME="set(int, T[])"><!-- --></A><H3>
set</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.48"><B>set</B></A>(int&nbsp;offset,
         <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>[]&nbsp;arr)
         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object,int,int)"><!-- --></A><A NAME="set(int, T[], int, int)"><!-- --></A><H3>
set</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.49"><B>set</B></A>(int&nbsp;offset,
         <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>[]&nbsp;arr,
         int&nbsp;srcOffset,
         int&nbsp;length)
         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="set(int, java.lang.Iterable)"><!-- --></A><H3>
set</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.50"><B>set</B></A>(int&nbsp;offset,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;&nbsp;it)
         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="swap(int, int)"><!-- --></A><H3>
swap</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.52"><B>swap</B></A>(int&nbsp;indexA,
          int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="iterator()"><!-- --></A><H3>
iterator</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.54"><B>iterator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#iterator()">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#iterator()" title="class or interface in java.util">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html#iterator()" title="class or interface in java.lang">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#iterator()" title="class or interface in java.util">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="iterator(int, int)"><!-- --></A><H3>
iterator</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.55"><B>iterator</B></A>(int&nbsp;start,
                         int&nbsp;end)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#iterator(int, int)">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="iterable(int, int)"><!-- --></A><H3>
iterable</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.56"><B>iterable</B></A>(int&nbsp;start,
                     int&nbsp;end)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#iterable(int, int)">iterable</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyTo(ch.javasoft.util.genarr.GenericArray, int, int, int)"><!-- --></A><H3>
copyTo</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.58"><B>copyTo</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? super <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;&nbsp;dst,
            int&nbsp;srcPos,
            int&nbsp;dstPos,
            int&nbsp;length)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyFrom(ch.javasoft.util.genarr.GenericArray, int, int, int)"><!-- --></A><H3>
copyFrom</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.59"><B>copyFrom</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;&nbsp;src,
              int&nbsp;srcPos,
              int&nbsp;dstPos,
              int&nbsp;length)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toArray()"><!-- --></A><H3>
toArray</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.61"><B>toArray</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toArray()">toArray</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#toArray()" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray()" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toArray(java.lang.Object)"><!-- --></A><A NAME="toArray(TT[])"><!-- --></A><H3>
toArray</H3>
<PRE>
&lt;TT&gt; TT[] <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericArray.html#line.62"><B>toArray</B></A>(TT[]&nbsp;arr)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toArray(TT[])">toArray</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="type parameter in GenericArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/GenericArray.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html" title="interface in ch.javasoft.util.genarr"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/genarr/GenericArray.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="GenericArray.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
